Package org.eclipse.net4j.util.collection

## Class CaseInsensitiveStringSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - java.util.HashSet<java.lang.String>
      - - org.eclipse.net4j.util.collection.CaseInsensitiveStringSet

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Iterable<java.lang.String>`, `java.util.Collection<java.lang.String>`, `java.util.Set<java.lang.String>`

      public class CaseInsensitiveStringSet
      extends java.util.HashSet<java.lang.String>

  Since:
    3.2
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseInsensitiveStringSet()` |
    `CaseInsensitiveStringSet​(int initialCapacity)` |
    `CaseInsensitiveStringSet​(int initialCapacity, float loadFactor)` |
    `CaseInsensitiveStringSet​(java.util.Collection<? extends java.lang.String> c)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `add​(java.lang.String e)` |
    `boolean` | `addAll​(java.util.Collection<? extends java.lang.String> c)` |
    `boolean` | `contains​(java.lang.Object o)` |
    `boolean` | `containsAll​(java.util.Collection<?> c)` |
    `protected java.lang.String` | `convert​(java.lang.Object o)` |
    `protected java.util.Collection<?>` | `convert​(java.util.Collection<?> c)` |
    `boolean` | `isLowerCase()` |
    `boolean` | `remove​(java.lang.Object o)` |
    `boolean` | `removeAll​(java.util.Collection<?> c)` |
    `boolean` | `retainAll​(java.util.Collection<?> c)` |

    - ### Methods inherited from class java.util.HashSet

      `clear, clone, isEmpty, iterator, size, spliterator`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `equals, hashCode, toArray, toArray`

- - ### Constructor Detail

    - #### CaseInsensitiveStringSet

          public CaseInsensitiveStringSet()

    - #### CaseInsensitiveStringSet

          public CaseInsensitiveStringSet​(java.util.Collection<? extends java.lang.String> c)

    - #### CaseInsensitiveStringSet

          public CaseInsensitiveStringSet​(int initialCapacity,
                                          float loadFactor)

    - #### CaseInsensitiveStringSet

          public CaseInsensitiveStringSet​(int initialCapacity)

  - ### Method Detail

    - #### isLowerCase

          public boolean isLowerCase()

    - #### contains

          public boolean contains​(java.lang.Object o)

      Specified by:
        `contains` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `contains` in interface `java.util.Set<java.lang.String>`
      Overrides:
        `contains` in class `java.util.HashSet<java.lang.String>`

    - #### add

          public boolean add​(java.lang.String e)

      Specified by:
        `add` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `add` in interface `java.util.Set<java.lang.String>`
      Overrides:
        `add` in class `java.util.HashSet<java.lang.String>`

    - #### remove

          public boolean remove​(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `remove` in interface `java.util.Set<java.lang.String>`
      Overrides:
        `remove` in class `java.util.HashSet<java.lang.String>`

    - #### removeAll

          public boolean removeAll​(java.util.Collection<?> c)

      Specified by:
        `removeAll` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `removeAll` in interface `java.util.Set<java.lang.String>`
      Overrides:
        `removeAll` in class `java.util.AbstractSet<java.lang.String>`

    - #### containsAll

          public boolean containsAll​(java.util.Collection<?> c)

      Specified by:
        `containsAll` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `containsAll` in interface `java.util.Set<java.lang.String>`
      Overrides:
        `containsAll` in class `java.util.AbstractCollection<java.lang.String>`

    - #### addAll

          public boolean addAll​(java.util.Collection<? extends java.lang.String> c)

      Specified by:
        `addAll` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `addAll` in interface `java.util.Set<java.lang.String>`
      Overrides:
        `addAll` in class `java.util.AbstractCollection<java.lang.String>`

    - #### retainAll

          public boolean retainAll​(java.util.Collection<?> c)

      Specified by:
        `retainAll` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `retainAll` in interface `java.util.Set<java.lang.String>`
      Overrides:
        `retainAll` in class `java.util.AbstractCollection<java.lang.String>`

    - #### convert

          protected java.lang.String convert​(java.lang.Object o)

    - #### convert

          protected java.util.Collection<?> convert​(java.util.Collection<?> c)